module Config.Pages.Headers.Helpers exposing (..)

import Config.Format.CardFormat exposing (..)
import Config.Format.Format
    exposing
        ( paragraphFontSize
        , paragraphSpacing
        )
import Config.Helpers.StrengthBar
    exposing
        ( barMaker
        , barPadding
        )
import Config.Helpers.ToolTip exposing (tooltip)
import Config.Pages.Headers.Types exposing (..)
import Config.Pages.Interviews.Types exposing (..)
import Config.Style.Colour exposing (colourTheme)
import Config.Style.Glow exposing (glowDeepDarkGrey)
import Element as E exposing (..)
import Element.Background as B
import Element.Border as D
import Element.Font as F
import Html.Attributes as H


headerMaker : Header -> Element msg
headerMaker header =
    row
        topLevelBox
        [ cardMaker
            [ cardTitleMaker header.headerTitle
            , cardFormatter
                [ cardContentSpacing
                    [ column
                        fieldSpacer
                        [ cardSubTitleMaker
                            [ text header.headerBody ]
                        ]
                    ]
                ]
            ]
        ]
