module Config.Pages.Services.Offerings.DebateAnalysis exposing (..)

import Config.Pages.Services.Types exposing (..)
import Config.Helpers.Converters exposing (formatName)

servicesDebateAnalysis : Service
servicesDebateAnalysis =
    let
        name : String
        name =
            "Debate Analysis"
    in
    { serviceImage = formatName name
    , serviceLink = "https://the-nutrivore.social/"
    , serviceName = name
    , serviceRate = "$80/hr"
    , serviceDescription =
        [ { point = "Have your own debates analyzed for constructive feedback." }
        , { point = "Receive advice to improve as a debater." }
        , { point = "Participate in mock debates, staged debates, and other exercises." }
        , { point = "Gain comfort with debate and verbal confrontation." }
        ]
    }
