module Config.Style.Colour exposing (..)

import Element as E exposing (..)


type alias Theme =
    { textLightGrey : Color
    , textDarkGrey : Color
    , textLightOrange : Color
    , textDarkOrange : Color
    , textDeepDarkOrange : Color
    , backgroundLightGrey : Color
    , backgroundDarkGrey : Color
    , backgroundDeepDarkGrey : Color
    , barGreen : Color
    , barRed : Color
    , debugColour : Color
    , transparent : Color
    }


colourTheme : Theme
colourTheme =
    { textLightGrey = rgb255 212 212 212
    , textDarkGrey = rgb255 126 126 126
    , textLightOrange = rgb255 204 102 0
    , textDarkOrange = rgb255 120 60 0
    , textDeepDarkOrange = rgb255 60 30 0
    , backgroundLightGrey = rgb255 40 40 40
    , backgroundDarkGrey = rgb255 30 30 30
    , backgroundDeepDarkGrey = rgb255 20 20 20
    , barGreen = rgb255 0 102 0
    , barRed = rgb255 102 0 0
    , debugColour = rgb255 227 28 121
    , transparent = rgba 1 1 1 0
    }
